#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Name: libkgeomap
Summary:  A wrapper around different world-map components, to browse and arrange photos over a map
Version: 16.12.3
Release: %mkrel %{rel}
Epoch: 2
Group: Graphical desktop/KDE
License: GPLv2
URL: https://projects.kde.org/projects/kde/kdegraphics/libs/libkgeomap
Source: http://download.kde.org/stable/applications/%{version}/src/%name-%version.tar.xz

BuildRequires: kf5-macros
BuildRequires: marble-devel
BuildRequires: ki18n-devel
BuildRequires: kconfig-devel
BuildRequires: kio-devel
BuildRequires: ktextwidgets-devel

BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5Test)
BuildRequires: pkgconfig(Qt5WebKitWidgets)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Xml)
BuildRequires: pkgconfig(Qt5Concurrent)

%rename libkgeomap-common

Conflicts:      kde-l10n < 15.10.0

# Branch Patch (100-200)

%description
A wrapper around different world-map components, to browse and arrange
photos over a map.

%files
%_kf5_datadir/libkgeomap

#------------------------------------------------------------------------------

%define kgeomap_major 5
%define libkgeomap %mklibname kf5geomap %kgeomap_major

%package -n %libkgeomap
Summary: A wrapper around different world-map components, to browse and arrange photos over a map
Group: System/Libraries
Requires: %name = %epoch:%version-%release

%description -n %libkgeomap
A wrapper around different world-map components, to browse and arrange
photos over a map.

%files -n %libkgeomap
%_kf5_libdir/libKF5KGeoMap.so.%{kgeomap_major}*
%_kf5_libdir/libKF5KGeoMap.so.10*

#------------------------------------------------------------------------------

%define libkgeomap_devel %mklibname kf5geomap -d

%package -n %libkgeomap_devel
Summary: Devel stuff for %{name}
Group: Development/KDE and Qt
Requires: %libkgeomap = %epoch:%version-%release
Provides: %name-devel = %epoch:%version-%release
Conflicts: %name-devel < 15.08.0

%description -n %libkgeomap_devel
A wrapper around different world-map components, to browse and arrange
photos over a map.

This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %libkgeomap_devel
%_kf5_includedir/KGeoMap
%_kf5_includedir/libkgeomap_version.h
%_kf5_libdir/cmake/KF5KGeoMap
%_kf5_libdir/*.so

#------------------------------------------------------------------------------

%prep
%setup -q

%build
export LD=/usr/bin/ld.gold
%cmake_kf5
%make_build

%install
%make_install -C build


%changelog
* Wed Mar 08 2017 neoclust <neoclust> 2:16.12.3-1.mga6
+ Revision: 1090149
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 2:16.12.0-1.mga6
+ Revision: 1076891
- New version 16.12.0

* Thu Dec 15 2016 neoclust <neoclust> 2:16.11.90-2.mga6
+ Revision: 1075313
- Rebuild against new marble

* Sun Dec 04 2016 neoclust <neoclust> 2:16.11.90-1.mga6
+ Revision: 1072084
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 2:16.08.3-1.mga6
+ Revision: 1067403
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 2:16.08.2-1.mga6
+ Revision: 1061466
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 2:16.08.1-1.mga6
+ Revision: 1050729
- New version 16.08.1

* Wed Sep 07 2016 daviddavid <daviddavid> 2:16.08.0-2.mga6
+ Revision: 1050340
- rebuild for marble 16.08.0

* Sat Aug 20 2016 neoclust <neoclust> 2:16.08.0-1.mga6
+ Revision: 1047378
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 2:16.04.3-1.mga6
+ Revision: 1040132
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 2:16.04.1-1.mga6
+ Revision: 1012622
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 2:16.04.0-1.mga6
+ Revision: 1004410
- New version 16.04.0

* Thu Mar 24 2016 neoclust <neoclust> 2:16.03.80-1.mga6
+ Revision: 994980
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 2:15.12.3-1.mga6
+ Revision: 991252
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 2:15.12.2-1.mga6
+ Revision: 987530
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 2:15.12.1-1.mga6
+ Revision: 922694
- New version 15.12.1

* Thu Dec 31 2015 neoclust <neoclust> 2:15.12.0-3.mga6
+ Revision: 917190
- Add conflicts to ease update

* Thu Dec 31 2015 neoclust <neoclust> 2:15.12.0-2.mga6
+ Revision: 917121
- Use official tarball

* Sat Dec 19 2015 neoclust <neoclust> 2:15.12.0-1.mga6
+ Revision: 912049
- New version 15.12.0

* Mon Nov 23 2015 neoclust <neoclust> 2:15.11.80-1.mga6
+ Revision: 905519
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 2:15.08.3-1.mga6
+ Revision: 901071
- New version 15.08.3
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 2:15.08.1-1.mga6
+ Revision: 880926
- New version 15.08.1

* Thu Aug 27 2015 neoclust <neoclust> 2:15.08.0-1.mga6
+ Revision: 870127
- imported package libkgeomap

